import React from 'react'
import './coupon.scss'
import classnames from 'classnames'


const Coupon = ({type, couponName, denomination, expire_time, limit, onClick, showUseButton, selected}) => {
    let style = {
        visibility: showUseButton ? 'visible' : 'hidden'
    }
    return (
        <li className='coupon'>
            <div className={classnames('coupon-info', `coupon-type${type}`)}>
                <p className='type'>{couponName}</p>
                <p className='denomination'>{denomination} <span>元</span></p>
                <p className='expire'>有效期至：{expire_time}</p>
                <i className={classnames('iconfont icondanseshixintubiao-5', {
                    check: selected
                })}></i>
                <ul>
                    {
                        new Array(19).fill('a').map((item, index) => {
                            return <li key={index}></li>
                        })
                    }
                </ul>
            </div>
            <div className="coupon-des">
                <span className='limit'>{limit}</span>
                <button
                    className='use'
                    onClick={onClick}
                    style={style}
                >立即使用</button>
            </div>
        </li>
    );
};

export default Coupon